> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fieloloyalty.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Product by Product Code



## OpenAPI

````yaml /api-reference/Loyalty-App-Open-API-Spec_Swagger.yaml post /dx/api/application/v2/data_views/GetProductByBusinessKeys
openapi: 3.0.0
info:
  title: Fielo Loyalty App API Spec
  version: 1.0.0
servers: []
security: []
paths:
  /dx/api/application/v2/data_views/GetProductByBusinessKeys:
    post:
      summary: Get Product by Product Code
      requestBody:
        content:
          application/json:
            example:
              dataViewParameters:
                ProductCode: '19520'
      responses:
        '200':
          description: OK
          content:
            application/json:
              example:
                data:
                  - '@version': 1
                    '@class': Product
                    ID: >-
                      STE6TG95YWx0eV9fUHJvZHVjdF82ODlkZTM4MWY2ODE0ZjAwYTY4OTIyMmY
                    Name: Nuggets
                    UpdateDateTime: '2025-08-14T13:24:17.304Z'
                    CreateDateTime: '2025-08-14T13:24:17.304Z'
                    CreateUser:
                      '@class': User
                      ID: >-
                        STE6UGVnYVBsYXRmb3JtX19Vc2VyXzY4NjcxYjRjOTU4OGNkM2JmYmVkZjg1Mw
                    UpdateUser:
                      '@class': User
                      ID: >-
                        STE6UGVnYVBsYXRmb3JtX19Vc2VyXzY4NjcxYjRjOTU4OGNkM2JmYmVkZjg1Mw
                    ApplicationName: Loyalty
                    UpdateUserID: systemuser_burgerkingapiuser_rhdlfx8bukx9ttqa
                    CreateUserID: systemuser_burgerkingapiuser_rhdlfx8bukx9ttqa
                    ApplicationVersion: 0.1.0-1
                    HistoryCounter: 3
                    Status: Open-Active
                    BusinessID: P-092BDW
                    Description: Nuggets
                    pzCaseTypeID: CaseType-Loyalty__Product-Loyalty__Product
                    CaseSLAEventID: goal:3b3a63be-bc32-9846-c7fa-df7bb58e1d10
                    Origin: API
                    pzActiveStates: []
                    CurrentStageID: Active
                    ConfirmationNote: This stage is ready to transition.
                    CurrentStageName: Active
                    Urgency: 10
                    Assignments: []
                    Incentivizable: true
                    Category: Snack
                    Brand: Burger King
                    ProductCode: '19520'
                resultCount: 1
                fetchDateTime: '2025-08-14T13:27:18.137Z'

````